Summary:	Wacom model feature query library
Summary(pl.UTF-8):	Biblioteka identyfikująca modele i możliwości tabletów Wacom
Name:		libwacom
Version:	1.1
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/linuxwacom/libwacom/releases
Source0:	https://github.com/linuxwacom/libwacom/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	fb0ecf9b12b97509d31d8f8d86558033
URL:		https://linuxwacom.github.io/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	glib2-devel >= 1:2.36
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	librsvg-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	udev-glib-devel
Requires:	glib2 >= 1:2.36
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libwacom is a library to identify Wacom tablets and their
model-specific features.

%description -l pl.UTF-8
libwacom to biblioteka identyfikująca tablety Wacom oraz ich
możliwości zależne od modelu.

%package devel
Summary:	Header files for libwacom library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libwacom
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36

%description devel
Header files for libwacom library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libwacom.

%package static
Summary:	Static libwacom library
Summary(pl.UTF-8):	Statyczna biblioteka libwacom
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libwacom library.

%description static -l pl.UTF-8
Statyczna biblioteka libwacom.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--with-udev-dir=/lib/udev
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.md
%attr(755,root,root) %{_bindir}/libwacom-list-local-devices
%attr(755,root,root) %{_libdir}/libwacom.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwacom.so.2
%{_datadir}/libwacom
/lib/udev/rules.d/65-libwacom.rules
%{_mandir}/man1/libwacom-list-local-devices.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwacom.so
%{_includedir}/libwacom-1.0
%{_pkgconfigdir}/libwacom.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libwacom.a
%changelog
* Wed Oct 30 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libwacom.git;a=log;h=master

* Thu Oct 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 2430942
- new URLs; updated to 1.1

* Fri Jun 08 2018 Jakub Bogusz <qboosh@pld-linux.org> 187b4c0
- updated to 0.29

* Tue Feb 27 2018 Marcin Banasiak <marcin.banasiak@gmail.com> cd4aa28
- Update to 0.28

* Mon Nov 27 2017 Jakub Bogusz <qboosh@pld-linux.org> cd4cffc
- updated to 0.26

* Tue Apr 11 2017 Jakub Bogusz <qboosh@pld-linux.org> 85320f5
- updated to 0.24

* Thu Feb 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 34afeac
- updated to 0.23

* Mon Aug 01 2016 Jakub Bogusz <qboosh@pld-linux.org> 11bad84
- updated to 0.22

* Sun May 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 2d5dfb7
- updated to 0.19

* Sat Jan 16 2016 Łukasz Kieś <kiesiu@pld-linux.org> 686cc71
- updated to 0.18

* Sat Dec 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 5e804b9
- updated to 0.17

* Fri Jul 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 8ce9a9a
- updated to 0.15

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 0d95542
- updated to 0.13

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> fe1f319
- x32 rebuild
- release 2 (by relup.sh)

* Tue Oct 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 5104d87
- updated to 0.7.1

* Wed Mar 27 2013 Łukasz Kieś <kiesiu@pld-linux.org> a4ea4c1
- updated to 0.7

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> e66f548
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Tue Sep 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 1f4ebc9
- updated to 0.6

* Sat Jun 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 64fdf52
- updated to 0.5

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> b5a1bf9
- updated to 0.4

* Sat Feb 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 51af05c
- pl
- package COPYING (contains MIT license and copyright holder)

